# HG changeset patch
# User Nicolas Hake <isilkor@openclonk.org>
# Date 1254609239 -7200
# Node ID e02b3356d175f2530bf2758580bcc7c06e8a1328
# Parent  193e03e1c13ec03bed32076ac99d1928c9cf1acc
Fix assertion on game teardown

On clear, object lists now remove deleted objects from game sectors beforehand

diff --git a/src/game/object/C4ObjectList.cpp b/src/game/object/C4ObjectList.cpp
--- a/src/game/object/C4ObjectList.cpp
+++ b/src/game/object/C4ObjectList.cpp
@@ -841,6 +841,7 @@ void C4ObjectList::DeleteObjects()
 		{
 		C4Object *pObj = First->Obj;
 		Remove(pObj);
+		::Objects.Sectors.Remove(pObj);
 		delete pObj;
 		}
 	// reset mass
